org.apache.wml

## Interface WMLCardElement

- All Superinterfaces:
    org.w3c.dom.Element, org.w3c.dom.Node, WMLElement
  All Known Implementing Classes:
    WMLCardElementImpl

      public interface WMLCardElement
      extends WMLElement

  The interface is modeled after DOM1 Spec for HTML from W3C. The DTD used in this DOM model is from http://www.wapforum.org/DTD/wml_1.1.xml

  'card' element is the basic display unit of WML. A WML decks contains a collection of cards. (Section 11.5, WAP WML Version 16-Jun-1999)

  Version:
    $Id: WMLCardElement.java 447258 2006-09-18 05:41:23Z mrglavas $
  Author:
    David Li

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getNewContext()`
    `java.lang.String` | `getOnEnterBackward()`
    `java.lang.String` | `getOnEnterForward()`
    `java.lang.String` | `getOnTimer()`
    `boolean` | `getOrdered()`
    `java.lang.String` | `getTitle()`
    `java.lang.String` | `getXmlLang()`
    `void` | `setNewContext(boolean newValue)` 'newcontext' specifies whether a browser context should be re-initialized upon entering the card.
    `void` | `setOnEnterBackward(java.lang.String href)` 'onenterbackward' specifies the event to occur when a user agent into a card using a 'go' task (Section 11.5.1, WAP WML Version 16-Jun-1999)
    `void` | `setOnEnterForward(java.lang.String href)` 'onenterforward' specifies the event to occur when a user agent into a card using a 'prev' task (Section 11.5.1, WAP WML Version 16-Jun-1999)
    `void` | `setOnTimer(java.lang.String href)` 'onenterbackward' specifies the event to occur when a timer expires (Section 11.5.1, WAP WML Version 16-Jun-1999)
    `void` | `setOrdered(boolean newValue)` 'ordered' attribute specifies a hit to user agent about the organization of the card's content (Section 11.5.2, WAP WML Version 16-Jun-1999)
    `void` | `setTitle(java.lang.String newValue)` 'title' specifies a advisory info about the card (Section 11.5.2, WAP WML Version 16-Jun-1999)
    `void` | `setXmlLang(java.lang.String newValue)` 'xml:lang' specifics the natural or formal language in which the document is written.

    - ### Methods inherited from interface org.apache.wml.WMLElement

      `getClassName, getId, setClassName, setId`

    - ### Methods inherited from interface org.w3c.dom.Element

      `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Method Detail

    - #### setOnEnterBackward

          void setOnEnterBackward(java.lang.String href)

      'onenterbackward' specifies the event to occur when a user agent into a card using a 'go' task (Section 11.5.1, WAP WML Version 16-Jun-1999)

    - #### getOnEnterBackward

          java.lang.String getOnEnterBackward()

    - #### setOnEnterForward

          void setOnEnterForward(java.lang.String href)

      'onenterforward' specifies the event to occur when a user agent into a card using a 'prev' task (Section 11.5.1, WAP WML Version 16-Jun-1999)

    - #### getOnEnterForward

          java.lang.String getOnEnterForward()

    - #### setOnTimer

          void setOnTimer(java.lang.String href)

      'onenterbackward' specifies the event to occur when a timer expires (Section 11.5.1, WAP WML Version 16-Jun-1999)

    - #### getOnTimer

          java.lang.String getOnTimer()

    - #### setTitle

          void setTitle(java.lang.String newValue)

      'title' specifies a advisory info about the card (Section 11.5.2, WAP WML Version 16-Jun-1999)

    - #### getTitle

          java.lang.String getTitle()

    - #### setNewContext

          void setNewContext(boolean newValue)

      'newcontext' specifies whether a browser context should be re-initialized upon entering the card. Default to be false. (Section 11.5.2, WAP WML Version 16-Jun-1999)

    - #### getNewContext

          boolean getNewContext()

    - #### setOrdered

          void setOrdered(boolean newValue)

      'ordered' attribute specifies a hit to user agent about the organization of the card's content (Section 11.5.2, WAP WML Version 16-Jun-1999)

    - #### getOrdered

          boolean getOrdered()

    - #### setXmlLang

          void setXmlLang(java.lang.String newValue)

      'xml:lang' specifics the natural or formal language in which the document is written. (Section 8.8, WAP WML Version 16-Jun-1999)

    - #### getXmlLang

          java.lang.String getXmlLang()

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.